# TODO
# - should use CXX/CC make options not CC for .cpp compile!
# - maybe bin/man1 should be moved to another package
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Verilog
%define	pnam	Perl
Summary:	Verilog::Perl - an Perl way to handle Verilog files
Summary(pl.UTF-8):	Verilog::Perl - perlowy sposób obsługi plików Verilog
Name:		perl-Verilog-Perl
Version:	3.401
Release:	3
License:	LGPL or Perl Artistic License
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Verilog/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d44e4af50143a50d731fdc8819a33ce6
URL:		http://search.cpan.org/dist/Verilog-Perl/
BuildRequires:	flex
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Verilog::Parser, Verilog::Preproc, and other Perl modules useful for
manipulation of Verilog files. The Verilog::Parser package will
tokenize a Verilog file when the parse() method is called and invoke
various callback methods. This is useful for extracting information
and editing files while retaining all context. For netlist like
extractions, see Verilog::Netlist. Verilog::Preproc reads Verilog
files, and preprocesses them according to the Verilog 2001
specification. Programs can be easily converted from reading a
IO::File into reading preprocessed output from Verilog::Preproc.
Verilog::Netlist contains interconnect information about a whole
design database.

%description -l pl.UTF-8
Verilog::Parser, Verilog::Preproc i inne moduły Perla przydatne do
obróbki plików Verilog. Pakiet Verilog::Parser po wywołaniu metody
parse() zamienia plik Verilog na tokeny i wykonuje różne metody
wywołań zwrotnych. Jest to przydatne przy wyciąganiu informacji i
modyfikowaniu plików z zachowaniem całego kontekstu. Do wyciągania
informacji w stylu netlist można użyć Verilog::Netlist.
Verilog::Preproc czyta pliki Verilog i przetwarza je zgodnie ze
specyfikacją Verilog 2001. Można łatwo przekształcać programy z
odczytu za pomocą IO::File na czytanie przetworzonego wyjścia z
Verilog::Preproc. Verilog::Netlist zawiera dołączone informacje o
całej bazie projektu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cxx}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Verilog/Verilog-Perl.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Verilog/Language/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/*
%dir %{perl_vendorarch}/Verilog
%{perl_vendorarch}/Verilog/*.pm
%dir %{perl_vendorarch}/Verilog/Netlist
%{perl_vendorarch}/Verilog/Netlist/*.pm
%dir %{perl_vendorarch}/auto/Verilog
%dir %{perl_vendorarch}/auto/Verilog/Preproc
%attr(755,root,root) %{perl_vendorarch}/auto/Verilog/Preproc/Preproc.so
%dir %{perl_vendorarch}/auto/Verilog/Parser
%attr(755,root,root) %{perl_vendorarch}/auto/Verilog/Parser/Parser.so
%{_mandir}/man1/*
%{_mandir}/man3/*
%changelog
* Fri Sep 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Verilog-Perl.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> e6634e4
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 5a69867
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> e73db42
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> 4069abc
- up to 3.401

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> da368d2
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> e79ccc5
- up to 3.313

* Fri Jul 01 2011 marti <marti@pld-linux.org> 7bc8a46
- up to 3.307

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c60a4b7
- release 2

* Wed Nov 11 2009 amateja <amateja@pld-linux.org> 4caee1c
- updated to 3.221

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> 6b12ce5
- updated to 3.220

* Wed Jan 07 2009 duddits <duddits@pld-linux.org> e0920f7
- up to 3.100; %install tune-ups

* Tue Mar 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 0a8dde1
- sorted BRs

* Tue Feb 19 2008 Maciej Pijanka <agaran@pld-linux.org> 33737e7
- added BR flex

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d441e31
- rel 2

* Thu Jan 10 2008 Maciej Pijanka <agaran@pld-linux.org> 9a4bcdd
- rel 1, fixed files, builds if >1G of mem is available. (cc1plus eats to much)

* Mon Jan 07 2008 Maciej Pijanka <agaran@pld-linux.org> 76b2099
- up to 3.021, rel 0.1, compilation fails on cc1plus out of memory..

* Sat Dec 29 2007 Elan Ruusamäe <glen@pld-linux.org> 575cc06
- missing dir, pass compiler; rel 2

* Tue May 29 2007 Jakub Bogusz <qboosh@pld-linux.org> 59abe66
- reverted to gpm-friendly version

* Tue May 29 2007 Maciej Pijanka <agaran@pld-linux.org> 545d208
- up to 2.380, rel 1, builds here

* Thu May 17 2007 Jakub Bogusz <qboosh@pld-linux.org> 1a7b203
- optflags, .so perms

